# OqlQuery Class Reference
[Object Query Language based on Criteria]

Inheritance diagram for OqlQuery:
[legend]

List of all members.

## Public Member Functions

| getDao ()
| setDao (ProtoDAO $dao)

## Protected Attributes

| $dao = null

## Detailed Description

Definition at line 15 of file OqlQuery.class.php.

## Member Function Documentation

OqlQuery::getDao | ( |  | ) |

Returns:
  ProtoDAO

Definition at line 22 of file OqlQuery.class.php.

OqlQuery::setDao | ( | ProtoDAO $ | dao | ) |

Returns:
  OqlQuery

Definition at line 30 of file OqlQuery.class.php.

## Member Data Documentation

OqlQuery::$dao = null`[protected]`

Definition at line 17 of file OqlQuery.class.php.

The documentation for this class was generated from the following file:

- main/OQL/Statements/OqlQuery.class.php